Subject: Re: problem building cross-compiler
From: [email-masked] (Daniel Veillard)

20 Jun 1997 10:34:25 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Mailer: exmh version 1.6.9 05/05/96
Original-To: Ulrich Lauther <[email-masked]>
Original-Cc: [email-masked]
Original-Sender: [email-masked]

>I tried to build the gnuwin32 cdk system under Linux using 
>
>./configure --host=i586-pc-linux-gnu --target=i586-pc-cygwin32
>
>The make terminates while trying to compile cccp.c with
>
>
>as: unrecognized option `-Qy'
>make[1]: *** [cccp.o] Error 1
>make: *** [all-gcc] Error 2
>
>I cannot find documentation on the Q and y flags of as (which is
>
>	GNU assembler version 960425 (i486-linux), using BFD version 2.6.0.14

  configure creates a softlink in gcc object directory to the new
version of the cross assembler. Problem is that the native compiler
get confused and use the cross assembler instead of the native one.
I usually remove the link, and do a make install, so that all the other
cross tools are in place (execpt gcc) then restart the make in gcc.
The cross compiler will find the cross tools in their expected location
and the native compiler won't be distrubed since the link doesn't
exists anymore,

P.S, I have a precompiled chain for linux->CYGWIN but based on the
17, not the latest. See ftp://opera.inrialpes.fr/pub/CROSS-WIN32

Daniel

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".